gnutls_x509_ext_import_policies(3)

NAME
gnutls_x509_ext_import_policies - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_policies(const gnutls_datum_t * ext, gnutls_x509_policies_t policies, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    the DER encoded extension data

gnutls_x509_policies_t policies
    A pointer to an initialized policies.

unsigned int flags
    should be zero

DESCRIPTION
This function will extract the certificate policy extension (2.5.29.32) and store it the provided policies.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/